### Method

# FwupdPlugin Context get_esp_files

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fu_context_get_esp_files (
      FuContext* self,
      FuContextEspFileFlags flags,
      GError** error
    )

#### Description [src]

Gets the PE files for all the entries listed in `BootOrder`.

Available since: 2.0.0

#### Parameters

`flags`

  Type: `FuContextEspFileFlags`

  Some `FuContextEspFileFlags`, e.g. #FU_CONTEXT_ESP_FILE_FLAG_INCLUDE_FIRST_STAGE.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `None`

PE firmware data.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.